

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Result structure of a simulation &mdash; NetExt1 1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Helpers for plotly" href="graph_plotly.html" />
    <link rel="prev" title="Network network_extensions.semantic" href="semantic.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> NetExt1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="igraphx.html">Network network_extensions.igraphx</a></li>
<li class="toctree-l1"><a class="reference internal" href="multilayer.html">Network network_extensions.multilayer</a></li>
<li class="toctree-l1"><a class="reference internal" href="simulations.html">Network igraphx_simulations.simulations</a></li>
<li class="toctree-l1"><a class="reference internal" href="semantic.html">Network network_extensions.semantic</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Result structure of a simulation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#graphproperties-structure">graphproperties structure:</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#graphproperties">graphproperties</a></li>
<li class="toctree-l3"><a class="reference internal" href="#graphproperties-x">graphproperties[x]</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#simulations-simulate-largest-components-result-structure">simulations.simulate_largest_components result structure</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#properties">properties</a></li>
<li class="toctree-l3"><a class="reference internal" href="#properties-x">properties[x]</a></li>
<li class="toctree-l3"><a class="reference internal" href="#properties-x-y">properties[x][y]</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="graph_plotly.html">Helpers for plotly</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">NetExt1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Result structure of a simulation</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/structure_simulations.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="result-structure-of-a-simulation">
<span id="structure-simulations"></span><h1>Result structure of a simulation<a class="headerlink" href="#result-structure-of-a-simulation" title="Permalink to this headline">¶</a></h1>
<p>result of <code class="xref py py-func docutils literal notranslate"><span class="pre">MultiLayer.simulate_ynw()</span></code></p>
<p>TODO</p>
<div class="section" id="graphproperties-structure">
<h2>graphproperties structure:<a class="headerlink" href="#graphproperties-structure" title="Permalink to this headline">¶</a></h2>
<div class="section" id="graphproperties">
<h3>graphproperties<a class="headerlink" href="#graphproperties" title="Permalink to this headline">¶</a></h3>
<p>is dict with two keys x:</p>
<p>“largest_component” and “graph”</p>
</div>
<div class="section" id="graphproperties-x">
<h3>graphproperties[x]<a class="headerlink" href="#graphproperties-x" title="Permalink to this headline">¶</a></h3>
<p>is a <strong>Dataframe</strong> with:</p>
<p>years as <strong>index</strong> and type of a graph property as <strong>column</strong></p>
</div>
</div>
<div class="section" id="simulations-simulate-largest-components-result-structure">
<h2>simulations.simulate_largest_components result structure<a class="headerlink" href="#simulations-simulate-largest-components-result-structure" title="Permalink to this headline">¶</a></h2>
<p>struct with the keys x:</p>
<p>“properties”, “largest_component”, “graphs”</p>
<div class="section" id="properties">
<h3>properties<a class="headerlink" href="#properties" title="Permalink to this headline">¶</a></h3>
<p>struct with the keys x:
“largest_component” and “graphs”</p>
</div>
<div class="section" id="properties-x">
<h3>properties[x]<a class="headerlink" href="#properties-x" title="Permalink to this headline">¶</a></h3>
<p>struct with the keys y:</p>
<p>“Erdos_Renyi” and “Barabasi”</p>
</div>
<div class="section" id="properties-x-y">
<h3>properties[x][y]<a class="headerlink" href="#properties-x-y" title="Permalink to this headline">¶</a></h3>
<p>is a <strong>Dataframe</strong> with:</p>
<p>years as <strong>index</strong> and type of a graph property as <strong>column</strong></p>
</div>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="graph_plotly.html" class="btn btn-neutral float-right" title="Helpers for plotly" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="semantic.html" class="btn btn-neutral float-left" title="Network network_extensions.semantic" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Dirk Wintergrün

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>